GET /api/v202407/billAccountChargeSplit

Retrieves a paginated, filterable list of all bill account charge split settings

GetBillAccountChargeSplitSettingsV202407 Permissions: BillWorkflowSettings (View)
Use this endpoint to view all configured charge split rules across vendors and accounts. When filtering by vendor, only settings that apply to all of that vendor’s accounts (account-level is null) are returned. Account-level overrides are included when not filtering by vendor.
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter Optional filter supporting operators on vendor and account fields to narrow results string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
accountCode Account Number String equals not equals one of like not like not one of
accountInfo Account Name String equals not equals one of like not like not one of
costCategoryInfo Cost Category String equals not equals one of like not like not one of
vendorCode Vendor Code String equals not equals one of like not like not one of
vendorInfo Vendor Name String equals not equals one of like not like not one of

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

BillAccountChargeSplitSettingsResponse
Property Description Type
billAccountChargeSplitMethod BillAccountChargeSplitMethodResponse
BillAccountChargeSplitMethodResponse properties
Property Description Type
splitBillChargesMethod During bill import a bill’s account charges will be distributed to the account’s meters either by “Use” or “Cost” null means the charges will not be distributed string
billAccountChargeSplitSettings During bill import a bill’s account charges will be distributed to the account’s meters based on the account, vendor, and cost category BillAccountChargeSplitSettingResponse[]
BillAccountChargeSplitSettingResponse properties
Property Description Type
accountCode The account code string
accountId The account identifier Account properties will be null when the setting applies to all accounts for a vendor If there is a specific account defined this setting will override the vendor settings integer (int32)
accountInfo The account info string
costCategories Split account charges with a bill line type assigned to the cost categories CostCategoryResponseV202405[]
CostCategoryResponseV202405 properties
Property Description Type
costCategoryId The cost category identifier Required (defined) integer (int32)
costCategoryInfo Name of the cost category Required (defined) string
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
Example Response application/json
{  "billAccountChargeSplitMethod": {    "splitBillChargesMethod": "string"
  },  "billAccountChargeSplitSettings": [
    {    "accountCode": "string",    "accountId": 1,    "accountInfo": "string",    "costCategories": [
      {      "costCategoryId": 1,      "costCategoryInfo": "string"
    }
    ],    "vendorCode": "string",    "vendorId": 1,    "vendorInfo": "string"
  }
  ]
}